---
- name: Add or modify of limits
  pam_limits:
    limit_item: "{{ item.key }}"
    domain: mqm
    value: "{{ item.value }}"
    limit_type: '-'
  loop: "{{ mq_limits|dict2items }}"


- name: Check current max file descriptors
  shell: cat /proc/sys/fs/file-max
  changed_when: False
  check_mode: no
  register: file_max

- name:
  debug:
    msg: "{{file_max}}"
  tags: [never,debug]

- name: 'Set accept_source_route'
  sysctl:
    name: fs.file-max
    value: 524288
    ignoreerrors: yes
  when: file_max.stdout|int < 524288
